# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
name = "dproj-rs"
version = "0.3.0"
authors = ["Valentin Baron"]
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Parse Embarcadero Delphi/RAD Studio .dproj project files and rsvars.bat environment variables"
homepage = "https://github.com/valentin-baron/dproj-rs"
documentation = "https://docs.rs/dproj-rs"
readme = "README.md"
license = "MIT"
repository = "https://github.com/valentin-baron/dproj-rs"

[lib]
name = "dproj_rs"
path = "src/lib.rs"

[[example]]
name = "bench"
path = "examples/bench.rs"

[dependencies.chumsky]
version = "0.12.0"

[dependencies.roxmltree]
version = "0.21.1"
